jkl012789
叮咚呛咚呛
采纳率0%
2021-03-07 22:52

VS2019跨平台开发linux的C++程序编译失败

5

直接用VS新建了一个项目,也是这样报错。

不知道

cc1plus :error : unrecognized command line option "-Wempty-body"

cc1plus :error : unrecognized command line option "-std=c++11"

是啥米问题

系统是:cetnos5.1

GCC版本:gcc version 4.1.2 20080704 (Red Hat 4.1.2-55)

请问大佬们,这个错误是啥米问题呀。

是想开发一个能在centos5、6和7上运行的程序,所以用5系来开发,应该移植到6系和7系没问题吧。

或者有啥米版本我在6系上开发,兼容5系嘛?我的程序在6系上没问题。

  • 点赞
  • 收藏
  • 复制链接分享

2条回答

  • include_iostream_ include_iostream_ 1月前

    我去年去官网查看时gcc最新版本已经是10.x了,可能是你这个gcc版本实在太低了导致的。我记得我用过4.4.x的,是十年前的老古董,那时还没有C++11这个称呼,而是叫做C++0x(这个标准拖了很多年,一开始觉得零几年能完成,结果一拖再拖到了11年才正式敲定,所以在正式完成前叫0x)。所以我个人推测,既然4.4.x在Debian系上都不支持-std=c++11,很有可能RH系上的4.1.x也不支持(就我所知,gcc在RH和Debian系上的源码应该没有特别的区别,所以相同版本号在RH和Debian系上应该有类似的行为和功能)。你可以试试把-std=c++11改成-std=c++0x,库里很多东西没啥本质区别。

    -Wempty-body这个我就不清楚了,也许也是编译器太老所以不支持吧。

    点赞 1 评论 复制链接分享
  • weixin_43848827 对象被抛出 1月前

    第一处不太清楚,第二处看报错是因为开启了c++11?这年头还有不支持c++11的ide?

    点赞 评论 复制链接分享